WESNOTHD(6)

NOM
wesnothd - Démon pour jeu réseau multijoueur de la Bataille pour Wesnoth

SYNOPSIS
wesnothd [-dvV] [-c path] [-p port] [-t number]

DESCRIPTION
Gère les jeux multijoueurs de la Bataille pour Wesnoth. Voir les commandes que le serveur accepte par socket ou via le client wesnoth sur http://www.wesnoth.org/wiki/ServerAdministration.

OPTIONS

-c, --config path
    indique le fichier de configuration à utiliser par wesnothd. Voir la syntaxe ci-dessous dans la section SERVER CONFIG.

-d, --daemon
    exécute wesnothd en tant que démon.

-h, --help
    aide sur les options de la ligne de commande.

-p, --port port
    lie le serveur au port spécifié. Valeur par défaut : 15000.

-t, --threads number
    définit le nombre effectif de threads pour les entrées/sorties réseau à la valeur n (defaut : 5, max : 30).

-V, --version
    affiche le numéro de version et quitte le programme.

-v, --verbose
    active une journalisation maximale.

CONFIGURATION DU SERVEUR

  La syntaxe générale est :

[tag]

    cl="value"

    cl="value,value,..."

[/tag]

  Clés globales :

connections_allowed
    Nombre maximum de connexions ayant la même adresse IP.

disallow_names
    Noms/surnoms non acceptés par le serveur. Les caractères génériques `*' et `?' sont acceptés. Voir glob(7) pour plus d'informations. Les valeurs par défaut (utilisées si rien n'est précisé) sont : `server,ai,player,network,human,admin,computer'

max_messages
    Le nombre maximum de messages permis en messages_time_period.

messages_time_period
    Période, en secondes, après laquelle un échec système est détecté.

motd
    Le message du jour.

passwd
    Mot de passe des habilitations de l'administrateur. Commence souvent par "admin ".

versions_accepted
    Liste des versions acceptées par le serveur, séparées par des virgules. Les caractères génériques `*' et `?' sont acceptés.
    Exemple : versions_accepted="*" autorise tout type de version.

  Balises globales :

[redirect] Balise pour permettre au serveur de rediriger certaines versions du client.

    host
        Adresse du serveur de redirection.

    port
        Port de connexion.

    version
        Liste des versions redirigées, séparées par des virgules. Même syntaxe que pour versions_accepted pour les caractères génériques.

[proxy] Balise pour demander au serveur de se comporter comme un proxy et de rediriger les requêtes des clients vers le serveur spécifié. Accepte les mêmes clés que [redirect].

AUTEUR
Écrit par David White <davidnwhite@verizon.net>. Édité par Nils Kneuper <crazy-ivanovic@gmx.net> et ott <ott@gaon.net>. Ce manuel a été écrit par Cyril Bouthors <cyril@bouthors.org>.
Rendez-vous sur la page d'accueil officielle : http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Ceci est un logiciel libre ; ce logiciel est sous la licence GPL version 2, comme définie par la Free Software Foundation. Il n'offre AUCUNE GARANTIE, y compris en ce qui concerne la COMMERCIABILITÉ et la CONFORMITÉ À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
wesnoth(6), wesnoth_editor(6)